/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#include "gtk-ppp.h"


void on_conn_cancel (GtkWidget *widget, gpointer data)
{
	/* try to kill wvdial process */
	if (wvdial.pid != 0)
		if (kill (wvdial.pid, 2) < 0)
			g_print ("GTK PPP: Unable to KILL wvdial process!\n");

	gtk_widget_hide (gtk_ppp.connecting.window);
	gtk_widget_hide (gtk_ppp.connected.window);
	gtk_widget_hide (gtk_ppp.log.window);
	gtk_widget_show (gtk_ppp.gtk_ppp.window);
}

void on_log (GtkWidget *widget, gpointer data)
{
	gtk_widget_show (gtk_ppp.log.window);
}
